Bug 493357 - ENH: mod_proxy_ajp should be loaded only if mod_proxy is already loaded
ENH: mod_proxy_ajp should be loaded only if mod_proxy is already loaded
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 10:49 EDT by Cristian Ciupitu
Modified: 2010-11-04 11:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 11:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"httpd.conf" without proxy modules (32.78 KB, text/plain)
2009-04-01 10:49 EDT, Cristian Ciupitu
no flags Details
patch for "proxy_ajp.conf" (412 bytes, patch)
2009-04-01 10:50 EDT, Cristian Ciupitu
no flags Details | Diff

  None (edit)
Description Cristian Ciupitu 2009-04-01 10:49:04 EDT
Created attachment 337549 [details]
"httpd.conf" without proxy modules

Description of problem:
If mod_proxy is disabled/removed from "/etc/httpd/conf/httpd.conf", httpd can not be started because "/etc/httpd/conf.d/proxy_ajp.conf" needs to be updated, too. It would be nice if "/etc/httpd/conf.d/proxy_ajp.conf" wouldn't need to be updated. 

Version-Release number of selected component (if applicable):
httpd-2.2.11-2.fc10.i386.rpm

How reproducible:
Everytime.

Steps to Reproduce:
1. Remove proxy modules from "httpd.conf" (see atached file)
2. Start httpd service
  
Actual results:
# service httpd start
Starting httpd: httpd: Syntax error on line 201 of /etc/httpd/conf/httpd.conf: Syntax error on line 2 of /etc/httpd/conf.d/proxy_ajp.conf: Cannot load /etc/httpd/modules/mod_proxy_ajp.so into server: /etc/httpd/modules/mod_proxy_ajp.so: undefined symbol: proxy_module

Expected results:
httpd should start

Additional info:
"proxy_ajp.conf" should be patched with the attached file.
Comment 1 Cristian Ciupitu 2009-04-01 10:50:58 EDT
Created attachment 337551 [details]
patch for "proxy_ajp.conf"

Load "mod_proxy_ajp.so" only if possible.
Comment 2 Bug Zapper 2009-11-18 07:48:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Gabriel PREDA 2010-09-02 03:32:56 EDT
This is still not fixed in F13.

If it's not moved to F13 or F14 it will be closed as "Bug 478454 - undefined symbol: proxy_module" and will not get fixed !

Can anyone please move it accordingly because this is getting really frustrating !
Comment 4 Bug Zapper 2010-11-04 07:24:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Cristian Ciupitu 2010-11-04 11:19:11 EDT
(In reply to comment #3)
> This is still not fixed in F13.
> 
> If it's not moved to F13 or F14 it will be closed as "Bug 478454 - undefined
> symbol: proxy_module" and will not get fixed !


httpd-2.2.16-1.fc14.x86_64.rpm doesn't have this problem anymore. You can disable the proxy_ajp_module from "/etc/httpd/conf/httpd.conf" and apache will start without any errors.

Note You need to log in before you can comment on or make changes to this bug.